/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#ifndef lint
char copyright[] =
"@(#) Copyright (c) 1983 Regents of the University of California.\n\
 All rights reserved.\n";
#endif not lint

#ifndef lint
static char sccsid[] = "@(#)talk.c	5.1 (Berkeley) 6/6/85";
#endif not lint

#include "talk.h"

char my_interfac;	/* set appropriately to I_CHAT or I_TALK */

/*
 * talk:	A visual form of write. Using sockets, a two way 
 *		connection is set up between the two people talking. 
 *		With the aid of curses, the screen is split into two 
 *		windows, and each users text is added to the window,
 *		one character at a time...
 *
 *		Written by Kipp Hickman
 *		
 *		Modified to run under 4.1a by Clem Cole and Peter Moore
 *		Modified to run between hosts by Peter Moore, 8/19/82
 *		Modified to run under 4.1c by Peter Moore 3/17/83
 *
 *	8/11/85		JEF	decvax!sunybcs!forys
 *		- Introduced 'chat' interface, 'busy' file and some extra
 *		  control codes.
 *	11/10/86	JEF	decvax!sunybcs!forys
 *		- Ported above changes to 4.3Final.
 *
 *	1/11/87		JEF	forys@boulder.Colorado.EDU
 *		- Added ifdef's for compilation on a variety of machines.
 *		- Added one more control code, cleaned my stuff up.
 *
 *	7/21/87		JEF	forys@boulder.Colorado.EDU
 *		- Internet address resolution and 2 more bug fixes.
 */

main(argc, argv)
	int argc;
	char *argv[];
{

	get_names(argc, argv);
	init_display();
	open_ctl();
	open_sockt();
	start_msgs();
	if (!check_local() )
		invite_remote();
	end_msgs();
	set_edit_chars();
	talk();
}
